Subject: RE: [Sip] Interpreting Missing Content-Disposition

From: "Shekar, Nagesh Soma (Shekar)** CTR **" <[email-masked]>
Date: Thu, 6 Jan 2005 11:47:47 -0500

Eric,

Thanks for your response. The text that you indicate below
talks about the default Disposition type based on the
Content-Type. What I am looking for is a default Content
Disposition Handling.

Say for example, If a UAS receives a INVITE message
with 
Content-Type: application/xxx

and missing content disposition header missing from the
INVITE. Should the Content handling be assumed as 
required or optional ?. In this case the Content Disposition
would be session.

Thanks,
Shekar

> -----Original Message-----
> From: Eric Burger [mailto:[email-masked]]
> Sent: Thursday, January 06, 2005 11:21 AM
> To: Shekar, Nagesh Soma (Shekar)** CTR **
> Cc: 'sip-ietf'
> Subject: RE: [Sip] Interpreting Missing Content-Disposition
> 
> 
> No.  The language is clear:
> "... if the Content-Disposition header field
> is missing, the server SHOULD assume bodies of Content-Type
> application/sdp are the disposition "session", while other content
> types are "render"."
> 
> Answer: Yes, unless you have a good reason not to.
> 
> -----Original Message-----
> From: Shekar, Nagesh Soma (Shekar)** CTR ** [mailto:[email-masked]]
> Sent: Thursday, January 06, 2005 8:56 AM
> To: 'sip-ietf'
> Subject: [Sip] Interpreting Missing Content-Disposition
> 
> 
> Could someone help me interpret RFC 3261 related to the the case when 
> the Content-Disposition header is missing from an Invite. 
> 
> The verbage below clearly specifies that if the handling parameter is
> missing 
> from a Content disposition header, then it should be assumed that the
> Disposition 
> is required.  Extra-polating that, should a missing 
> Content-Disposition
> header be 
> treated as a required Disposition. 
> 
> Here is the snippet from RFC 3261, section 20.11 about 
> Content Disposition.
> 
> Several new "disposition-types" of the Content-Disposition header are
> defined by SIP. The value "session" indicates that the body part
> describes a session, for either calls or early (pre-call) media. The
> value "render" indicates that the body part should be displayed or
> otherwise rendered to the user. Note that the value "render" is used
> rather than "inline" to avoid the connotation that the MIME body is
> displayed as a part of the rendering of the entire message (since the
> MIME bodies of SIP messages oftentimes are not displayed to users).
> For backward-compatibility, if the Content-Disposition header field
> is missing, the server SHOULD assume bodies of Content-Type
> application/sdp are the disposition "session", while other content
> types are "render".
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 06 Jan 2005 12:45:54 -0500

> required or optional ?. In this case the Content Disposition

I disagree. The content disposition in this case would be "render" 
(because the content-type is not application/sdp.)

I would interpret the text that eric quotes ("the server SHOULD assume 
bodies of Content-Type application/sdp are the disposition "session", 
while other content types are "render".") to mean there is a default 
content disposition header of form

	Content-Disposition: render

This header then does not have a "handling" parameter, so the other rule 
says the default value for that is "required".

Bottom line: if you want a body part to be optional, then you must 
include a content-disposition header that has handling=optional.

	Paul